Bug 533426 - CUPS: "Double-Sided Printing" and "Duplexer Installed" are conflicting options
Summary: CUPS: "Double-Sided Printing" and "Duplexer Installed" are conflicting options
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: cups
Version: 11
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Tim Waugh
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-11-06 18:25 UTC by Andrew McNabb
Modified: 2010-01-04 21:18 UTC (History)
2 users (show)

Fixed In Version: 1.4.2-20.fc11
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 533821 (view as bug list)
Environment:
Last Closed: 2009-12-27 20:32:26 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
CUPS Bugs and Features 3439 None None None Never

Description Andrew McNabb 2009-11-06 18:25:27 UTC
In Fedora 12, CUPS appears to have a new ppd for the HP LaserJet P4015x which does not use Foomatic.  After upgrading my system, my old Foomatic-based ppd didn't work, so I modified the printer in CUPS to use the new driver by selecting HP LaserJet P4015x from the list of built-in drivers.

Now duplex printing no longer works, and I am getting the following error message on the "Set Printer Options" screen in localhost:631/admin/:

Error: The following options are conflicting:
    * Double-Sided Printing
    * Duplexer Installed

I tried deleting and re-adding the printer but this didn't help.

Please let me know if there is any other information I can provide.  Thanks.

Comment 1 Andrew McNabb 2009-11-06 19:33:03 UTC
Hmm.  So I dug into this a little bit more and realized that there are two separate problems.  Two are UI problems, and the other is a PPD problem.

1) The first UI problem is that the message is unclear.  The correct error message should have been something like "Double-Sided Printing cannot be enabled if the Duplexer is not installed."

2) The second UI problem is that once this error condition has happened, the CUPS web UI won't let you set the "Double-Sided Printing" option to "Off", so you can't fix the problem.  When I tried to change the option, it ignored my change and redisplayed the error message.  I had to delete and re-add the printer to set "Double-Sided Printing" to "Off".

3) The Model list has 5 separate P4015 models: "HP LaserJet P4015", "HP LaserJet P4015dn", "HP LaserJet P4015n", "HP LaserJet P4015tn", and "HP LaserJet P4015x".  These are the same printer with different options installed.  The "n" means that networking is installed, the "d" means that a duplexer is installed, and the "t" means that an extra tray is installed.  The "x" is a shorthand for "dtn", meaning that the printer has networking, a duplexer, and an extra tray.  Anyway, the point of all of this is that if a user selects the "HP LaserJet P4015x", the "Duplexer installed" option should automatically be set to "Installed".  Alternatively, it might be easier just to have a single "HP LaserJet P4015" model in CUPS and remove the other 4 (which are extraneous if the "Options Installed" aren't automatically set).

Anyway, I hope that clarifies what's going on.  Thanks.

Comment 2 Tim Waugh 2009-11-09 12:25:34 UTC
I've filed bug #533821 for the third issue, of the model listing.  Those models are provided as PPDs by HPLIP.

Comment 3 Tim Waugh 2009-12-04 15:46:43 UTC
The second issue is now filed upstream as STR #3439, with a patch to fix it.

Comment 4 Tim Waugh 2009-12-04 16:11:17 UTC
I've filed bug #544326 for the first issue.  *This* bug is now only for part 2.

Comment 5 Tim Waugh 2009-12-04 16:24:22 UTC
Also affects Fedora 11.

Comment 6 Fedora Update System 2009-12-08 14:37:00 UTC
cups-1.4.2-14.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/cups-1.4.2-14.fc11

Comment 7 Fedora Update System 2009-12-08 14:39:16 UTC
cups-1.4.2-14.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/cups-1.4.2-14.fc12

Comment 8 Fedora Update System 2009-12-10 04:06:13 UTC
cups-1.4.2-14.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update cups'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-12942

Comment 9 Fedora Update System 2009-12-10 04:15:37 UTC
cups-1.4.2-14.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update cups'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2009-12971

Comment 10 Fedora Update System 2009-12-11 18:35:28 UTC
cups-1.4.2-16.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update cups'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-12942

Comment 11 Fedora Update System 2009-12-11 18:37:52 UTC
cups-1.4.2-16.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update cups'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2009-12971

Comment 12 Fedora Update System 2009-12-27 20:31:35 UTC
cups-1.4.2-20.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2010-01-04 21:17:42 UTC
cups-1.4.2-20.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.